none
Problemas con OCX AcroPDFLib y versiones del SDK en .NET RRS feed

  • Pregunta

  • Hola amigos tengo la siguiente duda sobre un ocx del SDK de Adobe Acrobat.

    En mi caso estoy usando el SDK de Adobe Acrobat 9 en mi aplicación, pero me surge la duda de si los usuarios finales necesitan disponer de la misma versión o pueden usar una versión previa del mismo, es que ellos tienen instalación de una versión en red para un software que deben usar para visualizar los PDF.

    En resumen, los usuarios por poner el caso tienen la versión 8.1 de Adobe Acrobat Reader, y yo en mi aplicación hago uso del OCX de la versión 9.1 y si les instalo la aplicación a ¿ellos tendrían algún problema en usarlo? ¿lo reconocería si la versión es previa? Es que ya he tenido problemas antes al no tener la versión del OCX instalada, con lo cual debía actualizar a la versión de mi aplicación.

    De no ser así que otro control .NET u OCX me recomendáis, a ser posible free.

    Gracias.
    Francisco J.
    • Cambiado Enrique M. Montejo sábado, 28 de mayo de 2011 9:55 interoperabilidad (De:Lenguaje VB.NET)
    jueves, 2 de julio de 2009 16:53

Todas las respuestas

  • hola,

    una pregunta este componente del SDK lo usarias para generar pdf o para visualizarlos ?

    si es para generar simplemente por ahi podrias ser que una version anterior funcionara aunque los componentes que utilices sean de una version mas nueva.

    ahora si es para visualizar, mmm, ahi si creo que las versiones deberias coincidir.


    igual como simpre lo mejor para estar seguros es hacer una prueba, create una maquina virtual, puedes usar VMWare o Virtual PC, y recrear el ambiente de tu usuario, el lo mejor para estar 100% seguros.

    saludos
    Leandro Tuttini

    Blog
    Buenos Aires
    Argentina
    jueves, 2 de julio de 2009 17:43
  • Muchas gracias Leandro, es sólo para visualizarlos.

    Lo probaré mañana en otro PC ya que tengo que hacer las pruebas también para la instalación.

    ¿De todos modos conocéis de algún control para leerlos? No necesito crearlos, sólo visualizarlos.

    Gracias.
    Francisco J.
    jueves, 2 de julio de 2009 18:10